<section class="p-0">
    <form class="padding-movil" action="">
        <div data-aos="fade-in" data-aos-delay="150" class="container">
            <div class="container">
                <div class="row " style="display: flex;
                justify-content: center;
                align-items: center;">
                    <div class="col-md-10">
                        <div class="row">
                            <div class="col-md-12" style="font-size: 2rem;text-align: left;color: black;">
                                Resumen
                            </div>
                        </div>
                        <div class="row mb-4 mb-md-5 align-items-start">
                            <div class="col-lg-4 order-lg-2 mb-4 mb-lg-0 sticky-lg-top padding-reserva">
                                <div class="container-reservar">
                                    <p style="    color: black;
                                    text-align: center;
                                    margin: 0;
                                    padding: 1rem;"> Quedan {{asientosDisponibles.length}}
                                        plaza(s) disponibles</p>
                                    <p style="color: black;
                                    text-align: center;
                                    margin: 0;
                                    padding: 0rem 0rem 1rem;">Plazas solicitadas: {{obj_filtro.asientosDisponibles}}
                                    </p>

                                    <div *ngFor="let soli of solicitudes">
                                        <div class="row" *ngIf="soli.solicitud.idEstadoSolicitud==2"
                                            style="    border-bottom: 1px solid #eaedf2;padding: 11px 0px 11px;">
                                            <!-- Solicitud cancelada -->
                                            <div class="col col-3 col-sm-3 col-md-4 col-lg-4"
                                                *ngIf="soli.pasajero.foto=='' || soli.pasajero.foto == null">
                                                <img src="assets/img/avatars/user.png" style="margin: 0px 10px;"
                                                    alt="Avatar" class="avatar avatar-sm flex-shrink-0">
                                            </div>
                                            <div class="col col-3 col-sm-3 col-md-4 col-lg-4"
                                                *ngIf="soli.pasajero.foto!='' && soli.pasajero.foto!=null">
                                                <img src="{{soli.pasajero.foto}}" style="margin: 0px 10px;" alt="Avatar"
                                                    class="avatar avatar-sm flex-shrink-0">
                                            </div>
                                            <div class="col col-9 col-sm-9 col-md-8 col-lg-8 d-flex align-center">
                                                <p class="m-0">{{soli.pasajero.nombre}} {{soli.pasajero.apellido}}
                                                </p>
                                            </div>

                                        </div>
                                        <div class="row" *ngIf="soli.solicitud.idEstadoSolicitud==1"
                                            style="    border-bottom: 1px solid #eaedf2;padding: 11px 0px 11px;">
                                            <!-- Solicitud cancelada -->
                                            <div class="col col-3 col-sm-3 col-md-4 col-lg-4"
                                                *ngIf="soli.pasajero.foto=='' || soli.pasajero.foto == null">
                                                <img src="assets/img/ilus/solicitud-pendiente.png"
                                                    style="margin: 0px 10px;" alt="Avatar"
                                                    class="avatar avatar-sm flex-shrink-0">
                                            </div>
                                            <div class="col col-3 col-sm-3 col-md-4 col-lg-4"
                                                *ngIf="soli.pasajero.foto!='' && soli.pasajero.foto!=null">
                                                <img src="{{soli.pasajero.foto}}" style="margin: 0px 10px;" alt="Avatar"
                                                    class="avatar avatar-sm flex-shrink-0">
                                            </div>
                                            <div class="col col-9 col-sm-9 col-md-8 col-lg-8 d-flex align-center">
                                                <p class="m-0">{{soli.pasajero.nombre}} {{soli.pasajero.apellido}}
                                                </p>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="row" style="    border-bottom: 1px solid #eaedf2;
                                            padding: 11px 0px 11px;" *ngFor="let disponible of asientosDisponibles">
                                        <div class="col col-3 col-sm-3 col-md-4 col-lg-4">
                                            <img src="assets/img/ilus/seat.png" style="margin: 0px 10px;" alt="Avatar"
                                                class="avatar avatar-sm flex-shrink-0">
                                        </div>
                                        <div class="col col-9 col-sm-9 col-md-8 col-lg-8 d-flex align-center">
                                            <p class="m-0"> Asiento disponible </p>
                                        </div>
                                    </div>


                                    <div class="row mt-4 pl-3 pr-3">
                                        <button (click)="reservarViaje()" class="btn btn-primary"
                                            *ngIf="!reservadoActualmente && !hombreNoPuedeReservar" style="left: 0;width: 100%;">Reservar
                                            viaje</button>
                                        <button (click)="reservarViaje()" class="btn btn-primary"
                                            *ngIf="reservadoActualmente"
                                            style="left: 0;width: 100%;pointer-events: none;"> ¡Viaje ya reservado! <img
                                                src="assets/img/ilus/smiling.png" class="ml-2" height="23px" alt="">
                                        </button>
                                        <button (click)="reservarViaje()" class="btn btn-primary"
                                            *ngIf="hombreNoPuedeReservar"
                                            style="left: 0;width: 100%;pointer-events: none;"> ¡Viaje solo para mujeres! 
                                        </button>
                                    </div>

                                </div>
                            </div>
                            <div class="col-lg-8 border-lg-right pr-lg-5 orderResponsive">
                                <div class="row section-title justify-content-center m-0">
                                    <div class="col-xl-12 col-lg-12 col-md-12 padding-responsive" style="margin: 0px 12px;">
                                        <div class="resumen-filtro ">
                                            <div class="row pb-0" style="color: black;">
                                                <div class="align-center name-lugar-responsive" >
                                                    <span class="direccion-decoration"
                                                        title="{{detViajeBuscado.viaje.lugarOrigen}}">
                                                        {{detViajeBuscado.viaje.lugarOrigen}}
                                                    </span>

                                                </div>
                                                <div class="align-center pl-3 pr-3">
                                                    <i style="float: right;
                                        margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                                </div>
                                                <div class="align-center name-lugar-responsive">
                                                    <span class="direccion-decoration"
                                                        title="{{detViajeBuscado.viaje.lugarDestino}}">{{detViajeBuscado.viaje.lugarDestino}}</span>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="align-center">
                                                    <span> {{fechaSalida}}</span>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-3">
                                    <div class="col col-5 col-sm-5 col-md-6 col-lg-6" style="    display: flex;
                                        justify-content: center;
                                        align-items: center;">
                                        <img src="assets/img/avatars/user.png"
                                            *ngIf="detViajeBuscado.miembro.foto=='' || detViajeBuscado.miembro.foto == null"
                                            style="margin: 0px 10px;" alt="Avatar"
                                            class="avatar avatar-xlg flex-shrink-0">
                                        <img src="{{detViajeBuscado.miembro.foto}}"
                                            *ngIf="detViajeBuscado.miembro.foto!='' && detViajeBuscado.miembro.foto != null"
                                            style="margin: 0px 10px;" alt="Avatar"
                                            class="avatar avatar-xlg flex-shrink-0">
                                    </div>
                                    <div class="col col-7 col-sm-7 col-md-6 col-lg-6">
                                        <span style="color: black;">
                                            {{detViajeBuscado.miembro.nombre}}&nbsp;{{detViajeBuscado.miembro.apellido}}
                                        </span>
                                        <p>
                                            <img src="assets/img/icons/theme/general/star.png" height="18px" alt="">
                                            4,4
                                        </p>
                                        <div class="row">
                                            <div class="col-md-12 p-0">
                                                <div class="mb-3 aos-init aos-animate" data-aos="fade-left"
                                                    data-aos-delay="300" *ngIf="detViajeBuscado.validaciones.correo">
                                                    <div class="d-flex align-items-center">

                                                        <h6 class="mb-0 ml-3" style="    color: inherit;
                                                font-size: 0.9rem;"> <i style="color: #469c72;"
                                                                class="fas fa-check"></i> Email verificado </h6>
                                                    </div>
                                                </div>
                                                <div class="mb-3 aos-init aos-animate" data-aos="fade-left"
                                                    data-aos-delay="400" *ngIf="detViajeBuscado.validaciones.numero">
                                                    <div class="d-flex align-items-center">

                                                        <h6 class="mb-0 ml-3" style="    color: inherit;
                                                font-size: 0.9rem;"> <i style="color: #469c72;"
                                                                class="fas fa-check"></i> Móvil verificado</h6>
                                                    </div>
                                                </div>
                                                <div class="mb-3 aos-init aos-animate" data-aos="fade-left"
                                                    data-aos-delay="500" *ngIf="detViajeBuscado.validaciones.facebook">
                                                    <div class="d-flex align-items-center">

                                                        <h6 class="mb-0 ml-3" style="    color: inherit;
                                                font-size: 0.9rem;"> <svg xmlns="http://www.w3.org/2000/svg" width="16"
                                                                height="16" viewBox="0 0 16 16" fill="none"
                                                                class="mr2 svg-facebook">
                                                                <path fill-rule="evenodd" clip-rule="evenodd"
                                                                    d="M16 8.04889C16 3.60361 12.4183 0 8 0C3.58172 0 0 3.60361 0 8.04889C0 12.0663 2.92548 15.3962 6.75 16V10.3755H4.71875V8.04889H6.75V6.27562C6.75 4.25837 7.94434 3.1441 9.77172 3.1441C10.647 3.1441 11.5625 3.3013 11.5625 3.3013V5.28208H10.5537C9.55992 5.28208 9.25 5.90252 9.25 6.53905V8.04889H11.4688L11.1141 10.3755H9.25V16C13.0745 15.3962 16 12.0663 16 8.04889Z"
                                                                    fill="black"></path>
                                                            </svg> Facebook verificado</h6>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col-md-12">
                                        <p style="color: black;">Detalles</p>
                                    </div>
                                    <div class="col col-12 col-sm-12 col-md-6 col-lg-6 mb-3 mb-lg-1" *ngIf="detViajeBuscado.viaje.maximoDosAtras">
                                        <div class="row align-items-center" style="height: 114px;">
                                            <div class="col col-2 col-sm-2 col-md-2 col-lg-2 mb-3 mb-sm-0">
                                                <img src="assets/img/icons/theme/general/comodidad.png" alt="Image"
                                                    style="height:1.6rem">
                                            </div>
                                            <div class="col col-10 col-sm-10 col-md-10 col-lg-10">
                                                <h6>Comodidad</h6>
                                                <p style="font-size: 0.9rem;">El conductor garantiza un máximo de 2
                                                    pasajeros en los
                                                    asientos traseros.</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-12 col-sm-12 col-md-6 col-lg-6 mb-3 mb-lg-1">
                                        <div class="row align-items-center">
                                            <div class="col col-2 col-sm-2 col-md-2 col-lg-2 mb-3 mb-sm-0">
                                                <img src="assets/img/icons/theme/general/desvio.png" alt="Image"
                                                    style="height:1.8rem">
                                            </div>
                                            <div class="col col-10 col-sm-10 col-md-10 col-lg-10">
                                                <h6>Desvío</h6>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idDesvio == 1">
                                                    Sin
                                                    devio posible.</p>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idDesvio == 2">
                                                    Max.
                                                    5 min de la ruta.</p>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idDesvio == 3">
                                                    Max.
                                                    15 min de la ruta.</p>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idDesvio == 4">
                                                    Soy
                                                    flexible.</p>

                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-12 col-sm-12 col-md-6 col-lg-6 mb-3 mb-lg-1">
                                        <div class="row align-items-center" style="height: 114px;">
                                            <div class="col col-2 col-sm-2 col-md-2 col-lg-2 mb-3 mb-sm-0">
                                                <img src="assets/img/icons/theme/general/volante.png" alt="Image"
                                                    style="height:2rem">
                                            </div>
                                            <div class="col col-10 col-sm-10 col-md-10 col-lg-10">
                                                <h6>Auto</h6>
                                                <p style="font-size: 0.9rem;">{{detViajeBuscado.marcaAuto}}
                                                    {{detViajeBuscado.auto.modelo}} -
                                                    {{detViajeBuscado.miembroAuto.colorAuto}}</p>

                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-12 col-sm-12 col-md-6 col-lg-6 mb-3 mb-lg-1">
                                        <div class="row align-items-center" style="height: 114px;">
                                            <div class="col col-2 col-sm-2 col-md-2 col-lg-2 mb-3 mb-3 mb-sm-0">
                                                <img src="assets/img/icons/theme/general/maleta.png" alt="Image"
                                                    style="height: 2.1rem;">
                                            </div>
                                            <div class="col col-10 col-sm-10 col-md-10 col-lg-10">
                                                <h6>Tamaño equipaje</h6>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idTamanhoEquipaje == 1"> Pequeño -
                                                    bolso
                                                    personal </p>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idTamanhoEquipaje == 2"> Mediano -
                                                    maleta
                                                    tamaño cabina </p>
                                                <p style="font-size: 0.9rem;"
                                                    *ngIf="detViajeBuscado.viaje.idTamanhoEquipaje == 3"> Grande -
                                                    maleta
                                                    tamaño baúl </p>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col-md-12 p-0">
                                        <p style="color: black;">Preferencias</p>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col col-6 col-sm-6 col-md-6 col-lg-6">
                                                <div class="row" style="margin-bottom: 18px;"
                                                    *ngIf="preferencias.idPreferenciaFumar == 3">
                                                    <div class="col col-2 col-sm-2 col-md-1 col-lg-1 container-icon-resumen ">
                                                        <i class="fas fa-times" style="color: #cc0000;"></i>
                                                    </div>
                                                    <div class="col col-10 col-sm-10 col-md-11 col-lg-11">
                                                        <div class="form-group m-0">
                                                            <p class="p-0 m-0" style="font-size: 0.8rem;">
                                                                Fumar
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" style="margin-bottom: 18px;"
                                                    *ngIf="preferencias.idPreferenciaFumar != 3">
                                                    <div class="col col-2 col-sm-2 col-md-1 col-lg-1 container-icon-resumen ">
                                                        <i class="fas fa-check" style="color: #469c72;"></i>
                                                    </div>
                                                    <div class="col col-10 col-sm-10 col-md-11 col-lg-11">
                                                        <div class="form-group m-0">
                                                            <p class="p-0 m-0" style="font-size: 0.8rem;">
                                                                Fumar
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" style="margin-bottom: 18px;"
                                                    *ngIf="preferencias.idPreferenciaMascota == 3">
                                                    <div class="col col-2 col-sm-2 col-md-1 col-lg-1 container-icon-resumen ">
                                                        <i class="fas fa-times" style="color: #cc0000;"></i>
                                                    </div>
                                                    <div class="col col-10 col-sm-10 col-md-11 col-lg-11">
                                                        <div class="form-group m-0">
                                                            <p class="p-0 m-0" style="font-size: 0.8rem;">
                                                                Mascotas
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" style="margin-bottom: 18px;"
                                                    *ngIf="preferencias.idPreferenciaMascota != 3">
                                                    <div class="col col-2 col-sm-2 col-md-1 col-lg-1 container-icon-resumen ">
                                                        <i class="fas fa-check" style="color: #469c72;"></i>
                                                    </div>
                                                    <div class="col col-10 col-sm-10 col-md-11 col-lg-11">
                                                        <div class="form-group m-0">
                                                            <p class="p-0 m-0" style="font-size: 0.8rem;">
                                                                Mascotas
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col col-6 col-sm-6 col-md-6 col-lg-6">
                                                <div class="row" style="margin-bottom: 18px;"
                                                    *ngIf="preferencias.idPreferenciaBebes == 3">
                                                    <div class="col col-2 col-sm-2 col-md-1 col-lg-1 container-icon-resumen ">
                                                        <i class="fas fa-times" style="color: #cc0000;"></i>
                                                    </div>
                                                    <div class="col col-10 col-sm-10 col-md-11 col-lg-11">
                                                        <div class="form-group m-0">
                                                            <p class="p-0 m-0" style="font-size: 0.8rem;">
                                                                Niños
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" style="margin-bottom: 18px;"
                                                    *ngIf="preferencias.idPreferenciaBebes != 3">
                                                    <div class="col col-2 col-sm-2 col-md-1 col-lg-1 container-icon-resumen ">
                                                        <i class="fas fa-check" style="color: #469c72;"></i>
                                                    </div>
                                                    <div class="col col-10 col-sm-10 col-md-11 col-lg-11">
                                                        <div class="form-group m-0">
                                                            <p class="p-0 m-0" style="font-size: 0.8rem;">
                                                                Niños
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" style="margin-bottom: 18px;">

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row justify-content-center">
                                    <div class="col-md-12 col-lg-12 p-0 mb-4 mt-4">
                                        <div id="faq-accordion">
                                            <div class="card mb-2 mb-md-3">
                                                <a href="#accordion-1" data-toggle="collapse" role="button"
                                                    aria-expanded="false" class="p-3 p-md-4">
                                                    <div class="d-flex justify-content-between align-items-center">
                                                        <h6 class="mb-0 mr-2">Datos adicionales del viaje</h6>
                                                        <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                                            class="kirk-icon sc-htpNat vALAF" width="24" height="24"
                                                            aria-hidden="true" fill="#708C91">
                                                            <polyline fill="none" stroke="#708C91" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                stroke-miterlimit="10" points="9 18 15 12 9 6">
                                                            </polyline>
                                                        </svg>
                                                    </div>
                                                </a>
                                                <div class="collapse" id="accordion-1" data-parent="#faq-accordion">
                                                    <div class="px-3 px-md-4 pb-3 pb-md-4">
                                                        {{detViajeBuscado.viaje.datosAdicionales}}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer-curve" style=" position: sticky;
            flex: 1 100%; 
            z-index: 999999;
            padding: 15px 0px;
            bottom: 0;
            display: flex;
            border-top: 1px solid #e2e2e2;
            background: #FFF;
            justify-content: center; 
            align-items: center;">
                <a (click)="volverDetalles()" style="padding: 12px 30px;" class="enlace-later"> <i
                        class="fas fa-arrow-left"></i> Volver</a>
            </div>
        </div>
        <!-- <div data-aos="fade-in" data-aos-delay="150" id="containerMap" [hidden]="!section_mapa">
            <div id="floating-arrow">
                <button type="button" title="Volver" (click)="salirMapa()" type="button"
                    style="padding:0px !important;background-color:transparent;border:none;font-size:1.3rem;color: #469c72;outline:none;"><i
                        style="margin:0px !important;" class="fas fa-arrow-left"></i></button>
            </div>
            <div #mapContainer id="mapDetail"></div>
        </div> -->

    </form>
</section>